package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.Dto.SelectClass;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SyncDataMapper {
   public List<Map> getEmployEEInfoList(String zgh);//教职工
   public List<Map>  getSpecialtyInfoList(String zydm);//专业
   public  List<Map> getSpecialtyALLInfo();//所有专业
   public  List<Map> getClassInfoList(SelectClass selectClass);//所有班级
   //统计学生数量
   int selectNumber(String gradCode);
   /*
    * 学生
    * */
   public List<Map> getStudentInfoList(@Param("offset") Integer offset, @Param("pageSize") Integer pageSize,@Param("stuNo") String stuNo,@Param("gradeCode") String gradeCode);
}
